Subject: Re: [PATCH] Disable filemode rebase tests in t3400-rebase.sh if no filesystem mode support

From: Johannes Sixt <[email-masked]>
Date: Wed, 11 Feb 2009 12:30:13 +0100

Alex Riesen schrieb:
> 2009/2/11 Johannes Sixt <[email-masked]>:
>> Alex Riesen schrieb:
>>> I'm honestly sorry for my contributions. They seem to be exclusively
>>> in the "make Git work in Windows" area.  Depressing.
>>>
>>>  t/t3400-rebase.sh |    5 +++++
>>>  1 files changed, 5 insertions(+), 0 deletions(-)
>> Very interesting. This test works unmodified here. On the other hand, I
>> have to skip the entire t4129-apply-samemode.sh.
>>
> 
> hmm... These seem to work here. I have to use Cygwin. Do you use the
> native port?

Yes. And the reason why the test does not fail here is because the mode
change is outright ignored, and the test doesn't check whether the result
meets the expectations.

-- Hannes